Name: H5Scopy
Signature:
  hid_t `H5Scopy`(hid_t `space_id` )
Purpose:
  Creates an exact copy of a dataspace.
Description:
  `H5Scopy` creates a new dataspace which is an exact copy of the dataspace identified by `space_id`. The dataspace identifier returned from this function should be released with `H5Sclose` or resource leaks will occur.
Parameters:

hid_t `space_id` | Identifier of dataspace to copy.

Returns:
  Returns a dataspace identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5scopy_f

      SUBROUTINE h5scopy_f(space_id, new_space_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id      ! Dataspace identifier
        INTEGER(HID_T), INTENT(OUT) :: new_space_id ! Identifier of dataspace copy
        INTEGER, INTENT(OUT) :: hdferr              ! Error code
                                                    ! 0 on success and -1 on failure
      END SUBROUTINE h5scopy_f